package com.taover.ai.bean.normal;

import net.sf.json.JSONObject;

public class ResultDetail{
	private String address;
	private String city;
	private Integer cityId;
	private String district;
	private Integer districtId;
	private String province;
	private Integer provinceId;
	private String name;
	private String phone;
	private String remark;
	
	public ResultDetail(JSONObject data){
		if(data == null){
			return;
		}
		
		this.address = this.getWithoutNullStr(data, "address");
		this.city = this.getWithoutNullStr(data, "city");
		this.cityId = data.optInt("cityId");
		this.district = this.getWithoutNullStr(data, "district");
		this.districtId = data.optInt("districtId");
		this.province = this.getWithoutNullStr(data, "province");
		this.provinceId = data.optInt("provinceId");
		this.name = this.getWithoutNullStr(data, "name");
		this.phone = this.getWithoutNullStr(data, "phone");
		this.remark = this.getWithoutNullStr(data, "remark");
	}

	private String getWithoutNullStr(JSONObject mapData, String key){
		if(mapData == null){
			return "";
		}
		String data = mapData.optString(key);
		if(data == null){
			return "";
		}
		if(data.trim().equals("null") || data.trim().equals("")){
			return "";
		}
		return data.trim();
	}
	
	public String getAddress() {
		return address;
	}

	public void setAddress(String address) {
		this.address = address;
	}

	public String getCity() {
		return city;
	}

	public void setCity(String city) {
		this.city = city;
	}

	public Integer getCityId() {
		return cityId;
	}

	public void setCityId(Integer cityId) {
		this.cityId = cityId;
	}

	public String getDistrict() {
		return district;
	}

	public void setDistrict(String district) {
		this.district = district;
	}

	public Integer getDistrictId() {
		return districtId;
	}

	public void setDistrictId(Integer districtId) {
		this.districtId = districtId;
	}

	public String getProvince() {
		return province;
	}

	public void setProvince(String province) {
		this.province = province;
	}

	public Integer getProvinceId() {
		return provinceId;
	}

	public void setProvinceId(Integer provinceId) {
		this.provinceId = provinceId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getPhone() {
		return phone;
	}

	public void setPhone(String phone) {
		this.phone = phone;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}
}