package com.taover.ai.bean.normal;

import java.util.ArrayList;
import java.util.List;

import net.sf.json.JSONArray;
import net.sf.json.JSONObject;

public class ZtoAnalysisResponseData {
	private String message;
	private boolean status;
	private String statusCode;
	private List<ResultDetail> result;
	
	public ZtoAnalysisResponseData(String reponse) throws Exception{
		JSONObject response = JSONObject.fromObject(reponse);
		this.message = response.optString("message");
		this.status = response.optBoolean("status");
		this.statusCode = response.optString("statusCode");
		JSONObject result = response.optJSONObject("result");
		List<ResultDetail> itemDataList = new ArrayList<ResultDetail>();
		if(this.status && result != null){
			JSONArray resultItems = result.optJSONArray("items");
			for(int i=0; i<resultItems.size(); ++i){
				itemDataList.add(new ResultDetail(resultItems.optJSONObject(i)));
			}	
		}
		this.result = itemDataList;	
	}
	
	public String getMessage() {
		return message;
	}
	public void setMessage(String message) {
		this.message = message;
	}
	public boolean isStatus() {
		return status;
	}
	public void setStatus(boolean status) {
		this.status = status;
	}
	public String getStatusCode() {
		return statusCode;
	}
	public void setStatusCode(String statusCode) {
		this.statusCode = statusCode;
	}

	public List<ResultDetail> getResult() {
		return result;
	}

	public void setResult(List<ResultDetail> result) {
		this.result = result;
	}
	
}

