package com.taover.ai.client;

import com.taover.ai.bean.normal.ZtoAnalysisResponseData;
import com.taover.util.UtilHttpByOkHttp;
import com.taover.util.UtilLog;

import net.sf.json.JSONObject;

public class ZtoClient {
	public static String ztoAnalysisUrl = "https://hdgateway.zto.com/Word_AnalysisAddress";
	
	/**
	 * 复用client,防止for循环调用内存溢出
	 * @param httpClient
	 * @param content
	 * @return
	 * @throws Exception
	 */
	public static ZtoAnalysisResponseData getAnalysisResult(String content)throws Exception {
		try {
			//文本预处理，将可能的分隔符，用;替换
			content = content.replaceAll("\\r\\n", ";");
			content = content.replaceAll("\\n", ";");
			
			JSONObject data = new JSONObject();
			data.put("address", content);
			return new ZtoAnalysisResponseData(UtilHttpByOkHttp.sendPostJson(ztoAnalysisUrl, null, data.toString()));
		} catch (Exception e) {
			UtilLog.errorForException(e, ZtoClient.class);
			throw new Exception("ZTO接口请求解析失败");
		}
	}
	
	public static void main(String args[]){
		try {
			String content = "18518289320，河北秦皇岛燕山大街147号，王章玉13621051230，河北省承德市高碑店，王彬";
			System.out.println(getAnalysisResult(content));
		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}

	
}
